%define upstream_name    Template-Stash-AutoEscaping
%define upstream_version 0.0303

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Escape automatically in Template-Toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Template)
BuildRequires: perl(Template::Config)
BuildRequires: perl(Template::Exception)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI)
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Template::Stash::AutoEscaping is a sub class of the Template::Stash
manpage, automatically escape all HTML strings and avoid XSS vulnerability.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.300-5.mga6
+ Revision: 1033912
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.300-4.mga6
+ Revision: 946939
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.300-3.mga5
+ Revision: 749180
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.300-2.mga5
+ Revision: 686355
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.30.300-1.mga5
+ Revision: 581343
- update to 0.0303

* Sat Oct 19 2013 umeabot <umeabot> 0.30.200-2.mga4
+ Revision: 525310
- Mageia 4 Mass Rebuild

* Thu May 30 2013 shlomif <shlomif> 0.30.200-1.mga4
+ Revision: 433000
- Add BRs
- New version 0.0302

* Sun Jan 13 2013 umeabot <umeabot> 0.30.100-2.mga3
+ Revision: 373181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 17 2011 shlomif <shlomif> 0.30.100-1.mga2
+ Revision: 182959
- imported package perl-Template-Stash-AutoEscaping


* Mon Sep 12 2011 cpan2dist 0.0301-1mga
- initial mageia release, generated with cpan2dist
